Bug 1262420 - fence_bladecenter is broken in FC22
fence_bladecenter is broken in FC22
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: fence-agents (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 11:30 EDT by Everett Bennett
Modified: 2015-10-26 09:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 09:58:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Everett Bennett 2015-09-11 11:30:28 EDT
Description of problem:

fence_bladecenter unable to connect to IBM Bladcenter Type HS21xm

Version-Release number of selected component (if applicable):

4.0.16 (built Thu Mar 5 11:41:03 UTC 2015)

How reproducible:

Simply try to use to verify status of one of the blade units.

Steps to Reproduce:

Invoke fence_bladecenter utility.  For example:

/usr/sbin/fence_bladecenter -a IPofBladeCEnter -l USERID -p PASSW0RD -o status -n BladeUnitNumber -v

Actual results:

[root@fc22a ~]# /usr/sbin/fence_bladecenter -a 192.168.12.181 -l USERID -p PASSW0RD -o status -n 3 -v 
Running command: /usr/bin/telnet
Sent: set binary

Sent: open 192.168.12.181 -23

Received: telnet> set binary
Negotiating binary mode with remote host.
telnet> open 192.168.12.181 -23
Trying 192.168.12.181...
Connected to 192.168.12.181.
Escape character is '^]'.

username: 
Sent: USERID

Sent: PASSW0RD

Received: password: 

Hostname:              XXXXXXXXXXXXX
Static IP address:     192.168.12.181
Burned-in MAC address: 00:xx:yy:zz:aa:bb
DHCP:                  Enabled - Try DHCP server first, then use static IP.
Assigned IP address:   0.0.0.0
Last login: 
Sent: 
Sent: USERID
Unable to connect/login to fencing device


Expected results:

[root@fc22a ~]# /usr/sbin/fence_bladecenter -a 192.168.12.181 -l USERID -p PASSW0RD -o status -n 3 -v
Running command: /usr/bin/telnet
Sent: set binary

Sent: open 192.168.12.181 -23

Received: telnet> set binary
Negotiating binary mode with remote host.
telnet> open 192.168.12.181 -23
Trying 192.168.12.181...
Connected to 192.168.12.181.
Escape character is '^]'.

username: 
Sent: USERID

Sent: PASSW0RD

Received: password: 

Hostname:              XXXXXXXXXXXXXX
Static IP address:     192.168.155.12.181
Burned-in MAC address: 00:xx:yy:zz:aa:bb
DHCP:                  Enabled - Try DHCP server first, then use static IP.
Assigned IP address:   0.0.0.0
Last login: Friday September 11 2015 11:23 from 192.168.12.143 (Telnet)

system>
Sent: env -T system:blade[3]

Received:  env -T system:blade[3]
OK
system:blade[3]>
Sent: power -state

Received:  power -state
On
system:blade[3]>
Sent: env -T system

Received:  env -T system
OK
system>
Status: ON
Sent: exit


Additional info:


Copied /usr/sbin/fence_bladecenter and /usr/share/fence from RedHat 7.1 env and it worked at least from the command line.  The version in RH 7.1 is 4.0.11 .
Comment 1 Marek Grac 2015-09-14 08:08:26 EDT
@Everett:

Thanks, for reporting. Unfortunately, on my machines it works with both versions. Can you take a look at 4.0.20 that I have just pushed to Fedora 22/23 ? They are in testing repo right now and they should be moved to stable repo after week or so.

Note You need to log in before you can comment on or make changes to this bug.